import { Token, Type } from '../token.js';

export class EndOfFileToken extends Token {
    public constructor() {
        super(Type.EndOfFile);
    }

    public static create(): EndOfFileToken {
        return new EndOfFileToken();
    }

    public override inspect(indent: number): string {
        return 'EndOfFileToken';
    }
}
